Summary: perl module for image data extraction 
Name: perl-Image-ExifTool
Version: 7.76
Release: 1
License: Artistic/GPL
Group: Development/Libraries/Perl
URL: http://owl.phy.queensu.ca/~phil/exiftool/
Source0: Image-ExifTool-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
ExifTool is a customizable set of Perl modules plus an application script
for reading and writing meta information in image, audio and video files,
including the maker note information of many digital cameras by various
manufacturers such as Canon, Casio, FujiFilm, HP, JVC/Victor, Kodak, Leaf,
Minolta/Konica-Minolta, Nikon, Olympus/Epson, Panasonic/Leica, Pentax/Asahi,
Ricoh, Sanyo, Sigma/Foveon and Sony.

Below is a list of file types and meta information formats currently
supported by ExifTool (r = read, w = write, c = create):

                File Types                 |    Meta Information
  ---------------------------------------  |  --------------------
  3FR   r       HTML  r       PPT   r      |  EXIF           r/w/c
  ACR   r       ICC   r/w/c   PS    r/w    |  GPS            r/w/c
  AI    r       ITC   r       PSD   r/w    |  IPTC           r/w/c
  AIFF  r       JNG   r/w     QTIF  r      |  XMP            r/w/c
  APE   r       JP2   r/w     RA    r      |  MakerNotes     r/w/c
  ARW   r       JPEG  r/w     RAF   r/w    |  Photoshop IRB  r/w/c
  ASF   r       K25   r       RAM   r      |  ICC Profile    r/w/c
  AVI   r       KDC   r       RAW   r/w    |  MIE            r/w/c
  BMP   r       M4A   r       RIFF  r      |  JFIF           r/w/c
  BTF   r       MEF   r/w     RW2   r/w    |  Ducky APP12    r/w/c
  CR2   r/w     MIE   r/w/c   RWL   r/w    |  PDF            r/w/c
  CRW   r/w     MIFF  r       RWZ   r      |  CIFF           r/w
  CS1   r/w     MNG   r/w     RM    r      |  AFCP           r/w
  DCM   r       MOS   r/w     SO    r      |  JPEG 2000      r
  DCP   r/w     MOV   r       SR2   r      |  DICOM          r
  DCR   r       MP3   r       SRF   r      |  Flash          r
  DIVX  r       MP4   r       SVG   r      |  FlashPix       r
  DJVU  r       MPC   r       SWF   r      |  QuickTime      r
  DLL   r       MPG   r       THM   r/w    |  GeoTIFF        r
  DNG   r/w     MRW   r/w     TIFF  r/w    |  PrintIM        r
  DOC   r       NEF   r/w     VRD   r/w/c  |  ID3            r
  DYLIB r       NRW   r/w     WAV   r      |  Kodak Meta     r
  EPS   r/w     OGG   r       WDP   r/w    |  Ricoh RMETA    r
  ERF   r/w     ORF   r/w     WMA   r      |  Picture Info   r
  EXE   r       PBM   r/w     WMV   r      |  Adobe APP14    r
  EXIF  r/w/c   PDF   r/w     X3F   r      |  Panasonic MPF  r
  FLAC  r       PEF   r/w     XLS   r      |  APE            r
  FLV   r       PGM   r/w     XMP   r/w/c  |  Vorbis         r
  FPX   r       PICT  r       ZIP   r      |  SPIFF          r
  GIF   r/w     PNG   r/w                  |  DjVu           r
  HDP   r/w     PPM   r/w                  |  (and more)

See html/index.html for more details about ExifTool features.

%prep
%setup -n Image-ExifTool-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall DESTDIR=%{?buildroot:%{buildroot}}
find $RPM_BUILD_ROOT -name perllocal.pod | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes html
/usr/lib/perl5/*
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Tue May 09 2006 - Niels Kristian Bech Jensen <nkbj@mail.tele.dk>
- Spec file fixed for Mandriva Linux 2006.
* Mon May 08 2006 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Spec file fixed for SUSE.
- Package available from: http://volker.dnsalias.net/soft/
* Sat Jun 19 2004 Kayvan Sylvan <kayvan@sylvan.com> - Image-ExifTool
- Initial build.
